<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
	<META HTTP-EQUIV="CONTENT-TYPE" CONTENT="text/html; charset=utf-8">
	<TITLE>XSQL</TITLE>
	<META NAME="GENERATOR" CONTENT="OpenOffice.org 2.2  (Linux)">
	<META NAME="CREATED" CONTENT="20070702;192500">
	<META NAME="CHANGEDBY" CONTENT="Alexander Olar">
	<META NAME="CHANGED" CONTENT="20070702;201400">
	<STYLE TYPE="text/css">
	<!--
		@page { size: 21cm 29.7cm; margin-left: 2cm; margin-right: 1cm; margin-top: 1cm; margin-bottom: 1cm }
		P { margin-bottom: 0.21cm }
		H1 { margin-bottom: 0.21cm; page-break-after: avoid }
		H1.western { font-family: "Nimbus Sans L", sans-serif; font-size: 16pt; font-weight: bold }
		H1.cjk { font-family: "HG Mincho Light J"; font-size: 16pt; font-weight: bold }
		H1.ctl { font-family: "Lucidasans"; font-size: 16pt; font-weight: bold }
		H2 { margin-bottom: 0.21cm; page-break-after: avoid }
		H2.western { font-family: "Nimbus Sans L", sans-serif; font-size: 14pt; font-style: italic; font-weight: bold }
		H2.cjk { font-family: "HG Mincho Light J"; font-size: 14pt; font-style: italic; font-weight: bold }
		H2.ctl { font-family: "Lucidasans"; font-size: 14pt; font-style: italic; font-weight: bold }
		H4 { margin-bottom: 0.21cm; page-break-after: avoid }
		H4.western { font-family: "Nimbus Sans L", sans-serif; font-size: 11pt; font-style: italic; font-weight: bold }
		H4.cjk { font-family: "HG Mincho Light J"; font-size: 11pt; font-style: italic; font-weight: bold }
		H4.ctl { font-family: "Lucidasans"; font-size: 11pt; font-style: italic; font-weight: bold }
		A:link { color: #000080; text-decoration: underline }
		CODE { font-family: "Nimbus Mono L", monospace }
	-->
	</STYLE>
</HEAD>
<BODY LANG="ru-RU" LINK="#000080" VLINK="#800000" DIR="LTR">
<H1 CLASS="western" ALIGN=CENTER><IMG SRC="xsql.jpg" NAME="Графический объект1" ALIGN=BOTTOM WIDTH=205 HEIGHT=96 BORDER=0></H1>
<H2 CLASS="western" ALIGN=CENTER><U>Синтаксис XSQL</U></H2>
<OL>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#variables">Переменные</A>
		</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#connect">Подключение
	к БД</A> 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#operator_if">Оператор
	if</A> 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#operator_for">Оператор
	for</A> 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#operator_while">Оператор
	while</A></P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#out_data">Вывод
	данных</A> 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#messages">Вывод
	сообщений</A> 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#forms">Блок
	описания формы</A> 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#exceptions">Исключения</A>
		</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#files">Файлы</A>
		</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#exec_command">Выполнение
	команд ОС</A> 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#parameters">Параметры</A>
		</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#functions">Функции</A>
		</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm"><A HREF="#immed_sql">Безусловное
	выполнение команды SQL</A>. 
	</P>
	<LI><P ALIGN=LEFT><A HREF="#view">Вывод результатов
	запосов.</A></P>
</OL>
<P ALIGN=LEFT STYLE="margin-bottom: 0cm"><BR>
</P>
<HR>
<P ALIGN=LEFT>XSQL (eXtended SQL для ODBC) - скриптовый
язык, который является расширением
языка SQL. Кроме SQL-операторов может
содержать дополнительные команды.
Каждая команда завершается символом
&quot;;&quot;.</P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="variables"></A>1. Переменные</H4>
<P ALIGN=LEFT>Переменная объявляется следующим
образом:<BR>&nbsp;&nbsp;&nbsp;[const] [global] <CODE>&lt;имя_типа&gt;
&lt;имя_переменной&gt; [= &lt;инициализатор&gt;];</CODE><BR>имя
переменной начинается с символа &quot;$&quot;.
Модификатор <CODE>const</CODE> указывает что
это константа. Напимер:<BR><BR><CODE>int
$Count;<BR>int $MinValue = 50;<BR>float $MinSumma = 30.60;<BR>float
$MaxSumma = $MinSumma + 50;<BR>string $Comment = &quot;Грузите
апельсины бочками&quot;;<BR>bool $KassaInWay = $bs ==
1007;<BR>time $CurrentDate;<BR>array $arr1; /* объявление
массива */<BR>array $arr2 = $MinValue+10, $MinSumma, 48.6; /*
объявление массива с инициализацией
*/<BR><BR></CODE>Поддерживаются следующие типы
данных:</P>
<UL>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">Целые (int); 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">Действительные
	(float); 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">Строки (string); 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">Логические
	(bool); 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">Дата/время
	(time); 
	</P>
	<LI><P ALIGN=LEFT>Массив (array); 
	</P>
	<LI><P ALIGN=LEFT>Символ (char)</P>
</UL>
<P ALIGN=LEFT>Определены допустимые операции
над переменными в зависимости от их
типа. Область видимости переменной -
скрипт в котором она объявлена, а так
же во всех скриптах, которые вызываются
из этого скрипта, за исключением
глобальных переменных, т.е. объявленных
с помощью идентификатора global.. В
SQL-выражениях переменные используются
как макроподстановки, т.е. имя переменной
заменяется на её значение в строковом
представлении, тип переменной не имеет
значения.<BR>Присваивание переменной
значения:<BR>&nbsp;&nbsp;&nbsp; <CODE>&lt;имя_переменной&gt;
= &lt;значение&gt;;</CODE><BR>Например:<BR><BR><CODE>$Val1
= 50;<BR>$Val2 = ($Val -10) * 5;<BR>array $arr = 34, &quot;text&quot;,
true; /* объявление массива, т.к. массив
полиморфный, он может содержать значения
разных типов */<BR>$arr = $arr + 16; /* добавление
в конец массива целого значения */<BR>array
$arr2 = 50, 60;<BR>$arr = $arr + $arr2; /* добавление в
конец массива $arr элементов массива
$arr2 */<BR>$arr[2] = &quot;any text&quot;; /* так как второй
элемент строка присвоение происходит,
иначе ошибка */<BR>$arr2 = 60; /* теперь массив
содержит один элемент с целым значением
60 */</CODE></P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="connect"></A>2. Подключение
к БД</H4>
<P ALIGN=LEFT>Оператор подключения к БД:<BR>&nbsp;&nbsp;&nbsp;
<CODE>connect &lt;DSN&gt; [, &lt;имя_пользователя&gt;[,
&lt;пароль&gt;]] as &lt;псевдоним&gt;;</CODE><BR>DSN -
источник данных ODBC. Имя пользователя и
пароль - необязятельные параметры и в
случае их отсутствия будет выдан запрос
на их ввод. Поддерживается одновременное
подкючение к нескольким источникам
данных и после подключения все последующие
SQL-операторы относятся именно к этому
источнику данных. Сменить текущий
источник данных можно с помощью команы
alias [псевдоним]. Например:<BR><BR><CODE>connect
OP, petrovich, salo as op_data;<BR>...<BR>connect Decl, petrovich as
decl;<BR>...<BR>alias op_data;</CODE></P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="operator_if"></A>3. Оператор
if.</H4>
<P ALIGN=LEFT>Условный оператор. Лучше всего
показать на примере:<BR><BR><CODE>if ($Ls == 3800)
or ($Ls == 3801)<BR>&nbsp;&nbsp;&nbsp; ...<BR>endif;<BR><BR>if ($val
&gt; 50.0) and ($val &lt; 100.0)<BR>&nbsp;&nbsp;&nbsp; ...<BR>else<BR>&nbsp;&nbsp;&nbsp;
...<BR>endif;</CODE></P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="operator_for"></A>4. Оператор
for.</H4>
<P ALIGN=LEFT>Используются две формы этого
оператора.<BR>Первый - использование
переменной в качестве счетчика и
выполнение действий на каждой итерации.
Например:<BR><CODE>int $i;<BR>for $i = 1; $i &lt;= 10; $i + 1
do<BR>&nbsp;&nbsp;&nbsp; message $i;<BR>endfor;<BR></CODE>Вторая
форма используется в качестве курсора,
т.е. пробегаем по результату запроса,
пишем значения из этого результата
впеременные на каждой итерации и что-то
можем с ними делать. Например:<BR><BR><CODE>for
select VRM_CODE, VRM_NAME from Hm..VRM into $VrmCode, $VrmName do<BR>&nbsp;&nbsp;&nbsp;
...<BR>endfor;<BR><BR>for alias op select MAS from TAB where TAB &gt;=
50<BR>into $Mas do<BR>&nbsp;&nbsp;&nbsp; ...<BR>endfor;</CODE></P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="operator_while"></A>5.
Оператор while.</H4>
<P ALIGN=LEFT><CODE>while &lt;выражение&gt;
do<BR>...<BR>endwhile;<BR>Выполняется, пока
&lt;выражение&gt; возвращает истинное
значение.</CODE></P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="out_data"></A>6. Вывод
данных.</H4>
<P ALIGN=LEFT>Оператор позволяет выводить в
файл результаты выполнения запросов,
значения переменных и строковые
константы. Форма записи следующая:</P>
<P ALIGN=LEFT>out [name &lt;выражение&gt;] to &lt;имя_файла&nbsp;
| переменная&gt; format &lt;имя_формата&gt;
[template &lt;format_template&gt; &lt;имя_файла&gt;]</P>
<P ALIGN=LEFT>...</P>
<P ALIGN=LEFT>endout;</P>
<P ALIGN=LEFT>Переметр name не обязятелен.
Параметр format задает формат вывода
информации. Возможные значения: text
(текстовый вид), sylk (SYmbolic LinK format) -
электронная таблица, MS Excel, OpenOffice их
нормально читают, dbf (DBF-файл). Если
параметр format не указан, то используется
text. Между out и endout находится список
выводимых данных. Например:</P>
<P ALIGN=LEFT><CODE>out name &quot;Доки по 1002 за день&quot;
to &quot;../../reports/1002.xls&quot; format sylk<BR>&nbsp;&nbsp;&nbsp;
&quot;Дата&quot;, :$Date;<BR>&nbsp;&nbsp;&nbsp; select * from
#tmp_table where LS_DT = 1002;</CODE></P>
<P ALIGN=LEFT><CODE>endout;</CODE></P>
<P ALIGN=LEFT>Переменные перечисленные через
запятую будут выведены в одну строку.
Дальше вывод начнётся со следующей
строки.<BR>С помощью template можно задать
шаблон для&nbsp; вывода формы, при этом
можно вывести только результат запроса,
произвольные константы или переменные
не ыводятся. format_template определяет формат
файла, в котором описан шаблон отчёта.
Пока обрабатывается только текстовый
формат (т. е. template text).<BR><BR>Шаблон отчёта
должен содержать блок #FIELDS ... #ENDFIELDS, в
котором определено, какие поля будут
использованы в отчёте. Каждое поле
записывается в виде &lt;Имя_поля&gt;
&lt;индекс&gt;. Индекс произвольное целое
значение, должно быть уникально.
Например:<BR><CODE>#FIELDS<BR>CLN_CODE&nbsp;&nbsp;
1<BR>CLB_FNAM&nbsp;&nbsp; 2<BR>#ENDFIELDS<BR></CODE><BR>Форма
вывода может содержать следующие
разделы: #MAIN, #HEADER, #FOOTER. Блок #MAIN представляет
форму вывода для каждой записи набора
данных. Такая форма содержит определения
полей и произволный текс. Каждое
отображаемое поле записывается в виде
&lt;@&lt;индекс_поля&gt;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&gt;. Такая запись определяет, так же,
ширину ячейки в которой отображается
поле. Если эта ширина меньше длины
выводимых данных, вывод обрезается по
заданной ширине. Можно использовать
агрегатные функции, для этого определение
поля записывается в виде
&lt;&lt;функция&gt;(@&lt;индекс_поля&gt;&nbsp;&nbsp;
&gt;. Определены следующие функции: COUNT,
SUM, MAX, MIN. Регистр символов в именах фунций
не существенен.<BR><BR>Разделы #HEADER и #FOOTER
определяют заголовок и подвал для каждой
группы записей и определяются&nbsp; в
следующем виде:<BR>#HEADER
&lt;перечень_индексов_полей_группировки&gt;<BR>#FOOTER
&lt;перечень_индексов_полей_группировки&gt;<BR><BR>Пример:<BR><CODE>#FIELDS<BR>VRM_MFO&nbsp;&nbsp;&nbsp;&nbsp;
1<BR>VRM_CODE&nbsp;&nbsp;&nbsp; 2<BR>VRM_NAME&nbsp;&nbsp;&nbsp;
3<BR>MFO_NAME&nbsp;&nbsp;&nbsp; 4<BR>#ENDFIELDS<BR><BR>#HEADER
1<BR>============================================================|<BR>МФО:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
| &lt;@1&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&gt; |&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|<BR>============================================================|<BR>#MAIN<BR>Рег.
№&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; | &lt;@2&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&gt; |&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|<BR>Наименование|
&lt;@3&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&gt;|<BR>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
|<BR>#FOOTER
1<BR>============================================================|<BR>Наименование:
&lt;@4&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
&gt; &lt;count(@4) &nbsp; &nbsp; &nbsp;&nbsp;
&gt;|<BR>============================================================|</CODE></P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="messages"></A>7. Вывод
сообщения.</H4>
<P ALIGN=LEFT>Команда message выодит произвольное
сообщение или значение переменной на
экран. Например:<BR><BR><CODE>Команда
message_level устанавливает степень детализации
сообщений. Синтаксис:<BR>message_level
&lt;уровень_детализации&gt;;<BR>Возможные
значение степени детализации:</CODE></P>
<UL>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">0 - сообщения
	не выводятся; 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">1 - выводятся
	сообщения команды message; 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">2 - выводятся
	сообщения 1-го уровня, а также количество
	записей для каждого выполненного SQL
	запроса; 
	</P>
	<LI><P ALIGN=LEFT>3 - вывдоятся сообщения 2-го
	уровня, а также текст каждого выполненного
	SQL запроса.</P>
</UL>
<H4 CLASS="western" ALIGN=LEFT><A NAME="forms"></A>8. Блок
описания формы.</H4>
<P ALIGN=LEFT>Блок описания формы позволяет
организовать ввод значений переменных.
Форма описания следующая<BR><CODE>form<BR>&nbsp;&nbsp;&nbsp;
&lt;переменная&gt;
&lt;подсказка&gt;;<BR>endform;<BR></CODE><BR>Например:<BR><BR><CODE>form<BR>&nbsp;&nbsp;&nbsp;
$BegDate &quot;Начало периода&quot;;<BR>&nbsp;&nbsp;&nbsp;
$EndDate &quot;Конец периода&quot;;<BR>endform;</CODE></P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="exceptions"></A>9.
Исключения.</H4>
<P ALIGN=LEFT>Исключение обрывает работу с
выводом сообщения. Например:<BR><BR><CODE>except
&quot;За что боролись на то и напоролись,
код ошибки &quot;, $ErrorCode;</CODE></P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="files"></A>10. Файлы</H4>
<P ALIGN=LEFT>XSQL поддерживает вызов одного
скрипта из другого. Формат вызова:<BR><CODE>&nbsp;&nbsp;&nbsp;
. &lt;имя_файла [параметр,...]&gt;;<BR></CODE>или<BR><CODE>&nbsp;&nbsp;&nbsp;
. &quot;имя_файла&quot; [параметр,...];<BR></CODE>В
первом случае место положения файла
определяется переменными INCLUDE_DIR в файле
.xsql, расположенном в домашнем каталоге
пользователя. Во втором случае файл
определяется относительно положения
текущего текущего каталога. При выполнении
скрипта текущим каталого становится
каталог в которм этот скрипт расположен,
поэтому если выполнить команду в
интерактивно режиме из isqk или wxsql, то
вызываемый скрипт может быть не найден,
т.к. текущий каталог в этот момент может
быть любым. Эти правила действуют только
если путь в команде не указан полностью.
Напимер:<BR><BR><CODE>. &lt;commom/dates.xsql&gt;;<BR>.
&quot;../../main/test.xsql&quot; &quot;dbo&quot; &quot;masterkey&quot;;<BR>.
&quot;c:\script\dogv.xsql&quot;;<BR></CODE><BR>Во втором
премере в скрипт передаются <A HREF="#parameters">параметры</A>.<BR>Скрипт
может возвращать значение. Если в тексте
присутствует команда <CODE>return &lt;выражение&gt;</CODE>,
то выполнение скрипта на этом обрывается
и в основной скрипт передается значение,
являющееся результатом выражения.
Например:<BR><BR><CODE>time $Date = . &lt;lib/int-to-date.xsql&gt;
20050519 &quot;time&quot;;</CODE></P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="exec_command"></A>11.
Выполнение команд ОС.</H4>
<P ALIGN=LEFT>Пример:<BR><BR><CODE>system &quot;start
c:\MyDocs\test.xls&quot;;<BR>system $cmd;<BR></CODE><BR>Во втором
примере команда будет взята из переменной
$cmd.</P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="parameters"></A>12. Параметры</H4>
<P ALIGN=LEFT>В скрипт могут быть переданы
параметры. Синтаксис: $n, где n - номер
параметра. Если используется isql, то
параетры в скрипт передаются как
параметры командной строки, если
&quot;Генератор Отчётов&quot;, то параметры
пишутся в файле .xscr сразу после имени
скрипта. Тип параметра определяется
автоматически.<BR>Пример
.xscr-файла:<BR><CODE>[Object]<BR>Name=39 файл все
дирекции<BR>File=./39.xsql 0 999 0 999999 true dbo vicont<BR></CODE><BR>А
теперь как выполнить тоже самое спомощью
консольной утилиты isql:<BR><CODE>d:\xsql\isql
h:\reports\script\valuta\39.xsql 0 999 0 999999 false &quot;dbo&quot;
&quot;vicont&quot;</CODE></P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="functions"></A>13. Функции</H4>
<P ALIGN=LEFT><CODE>string Str(&lt;переменная&gt;)<BR>string
Str(float)<BR></CODE>Преобразует значение в
строку.<BR><BR><CODE>string SubStr(string, int, int)</CODE><BR>Возвращает
подстроку.<BR><BR><CODE>string WordStr(string,
int)<BR></CODE>Возвращает слово из строки<BR><BR><CODE>int
Year(time)<BR></CODE>Возвращает год<BR><BR><CODE>int
Month(time)<BR></CODE>Возвращает месяц<BR><BR><CODE>int
Day(time)<BR></CODE>Возвращает день<BR><BR>int
Hour(time)<BR>Возврачает часы<BR><BR>int
Minute(time)<BR>Возвращает минуты<BR><BR>int
Second(time)<BR>Возвращает секунды<BR><BR><CODE>string
Trim(string)<BR></CODE>Убирает боковые пробелы<BR><BR><CODE>int
Int(string)<BR></CODE>Преобразует строку в
целое<BR><BR><CODE>string Insert(string $s1, int $pos, string
$s2)<BR></CODE>Вставляет строку $s2 в строку
$s1 начиная с позиции $pos<BR><BR><CODE>string
DateTimeToStr(time)<BR></CODE>Преобразует дату/время&nbsp;
в строку<BR><BR><CODE>time EncodeDate(int $Year, int $Month,
int $Day);<BR>без коментариев<BR></CODE><BR><CODE>int
Pos(string s, string substr);<BR></CODE>Возвращает позицию
substr в s.<BR><BR><CODE>string Replace(string s, string what,
string than);<BR></CODE>Заменяет в строке s все
подстроки what на than.<BR><BR><CODE>string
Upper(string);<BR></CODE>Преобразует строку к
верхнему регистру.<BR><BR><CODE>array
Clear();</CODE><BR>Возвращает пустой массив<BR><BR><CODE>int
SizeOf(\&lt;переменная\&gt;);</CODE><BR>Возвращает
размер переменной</P>
<UL>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">int 4 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">float 8 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">string длинна
	строки 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">bool 1 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">time 8 
	</P>
	<LI><P ALIGN=LEFT>array количество элементов 
	</P>
</UL>
<P ALIGN=LEFT><CODE>int TypeOf(\&lt;переменная\&gt;);</CODE><BR>Возвращает
тип переменной</P>
<UL>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">int 1 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">float 2 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">string 3 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">bool 4 
	</P>
	<LI><P ALIGN=LEFT STYLE="margin-bottom: 0cm">time 5 
	</P>
	<LI><P ALIGN=LEFT>array 6 
	</P>
</UL>
<P ALIGN=LEFT><BR><CODE>bool Bool(string);</CODE><BR>Возвращает
логическое значение, преобразованное
из строкового.<BR><BR><CODE>bool VarExists(string);<BR></CODE>Если
переменная существует возвращает <CODE>true</CODE>,
иначе <CODE>false</CODE>.<BR><BR><CODE>bool
FileExists(string);</CODE><BR>Определяет существует
ли файл. Если имя файла заключено в
угловые скобки &lt;&gt;, то файл ищется в
путях, заданых перемеными INCLUDE_DIR из
файла конфигурации .xsql. Возможно задание
относительного пути. Правила записи
имен файлов соответствуют правилам
заданым в главе <A HREF="#files">Файлы</A>.</P>
<H4 CLASS="western" ALIGN=LEFT><A NAME="immed_sql"></A>14.
Безусловное выполнение команды SQL.</H4>
<P ALIGN=LEFT><A NAME="view"></A>&nbsp; Команда SQL выполняет
SQL-запрос, заданный строковым выражением.
Разбор переменных при этом не производится,
запрос выполняется как есть. Напимер:<BR><BR><CODE>sql
&quot;if exists(select * from tempdb..sysobjects where type = 'U' and
name = 'HmDogTable')<BR>&nbsp;&nbsp;&nbsp; drop table
tempdb..HmDogTable&quot;;<BR>string $sql = &quot;select VRM_CODE,
VRM_NAME from Hm..VRM&quot;;<BR>sql $sql;<BR><BR></CODE><B>15. Вывод
результатов запросов</B><BR><BR>Синтаксис:
view &lt;sql_statement&gt;.</P>
<HR>
</BODY>
</HTML>